# SoVectorOutput Class Reference
[Support for vectorized printing]

`#include <HardCopy/SoVectorOutput.h>`

Inheritance diagram for SoVectorOutput:

List of all members.

## Detailed Description

The SoVectorOutput class is used for setting vector output file.

SoVectorizeAction will create an SoVectorOutput which will output to stdout by default. SoVectorizeAction::getOutput() can be used to fetch this output, and the user will probably want to set a file to output to.

Since:
  Coin 2.1

  TGS provides HardCopy support as a separate extension for TGS Inventor.

## Public Member Functions

| SoVectorOutput (void)
virtual | ~SoVectorOutput ()
virtual SbBool | openFile (const char *filename)
virtual void | closeFile (void)
FILE * | getFilePointer (void)

## Friends

class | SoVectorOutputP

## Constructor & Destructor Documentation

SoVectorOutput::SoVectorOutput | ( | void |  | ) |

| Constructor. Will make this instance output to stdout.

SoVectorOutput::~SoVectorOutput | ( |  | ) | `[virtual]`

| Destructor. Will close the file opened in openFile().

## Member Function Documentation

SbBool SoVectorOutput::openFile | ( | const char * | filename | ) | `[virtual]`

| Opens filename for output. Returns FALSE if file could not be opened for writing. If the file already exists, it will be truncated.

void SoVectorOutput::closeFile | ( | void |  | ) | `[virtual]`

| Closes the file opened in openFile()

FILE * SoVectorOutput::getFilePointer | ( | void |  | ) |

| Returns the stdio file handle pointer.

The documentation for this class was generated from the following files:

- SoVectorOutput.h
- VectorOutput.cpp